%define		php_name	php%{?php_suffix}
%define		modname	imagick
Summary:	%{modname} - Provides a wrapper to the ImageMagick library.
Name:		%{php_name}-pecl-%{modname}
Version:	3.7.0
Release:	3%{?tld}
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	0687774a6126467d4e5ede02171e981d
Patch0:		git.patch
Patch1:		strtolower.patch
URL:		http://pecl.php.net/package/imagick
BuildRequires:	%{php_name}-devel >= 4:7.2
BuildRequires:	ImageMagick-devel
BuildRequires:	rpmbuild(macros) >= 1.747-3
Provides:	php(imagick)
%{?requires_php_extension}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Imagick is a native php extension to create and modify images using 
the ImageMagick API. This extension requires ImageMagick 
version 6.5.3-10+ and PHP 5.4.0+.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p1
%patch1 -p1

%build
phpize%{php_suffix}
%configure \
	--with-php-config=/usr/bin/php-config%{php_suffix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
    %php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Wed Dec 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/php-pecl-imagick.git;a=log;h=master

* Wed Dec 25 2024 Marcin Krol <hawk@tld-linux.org> f191f9f
- added upstream fixes + php 8.4 fix, force proper version of php-config

* Wed Apr 24 2024 Marcin Krol <hawk@tld-linux.org> ac77e6d
- release 2

* Sat Jun 11 2022 Bartosz Świątek <shadzik@tld-linux.org> a0e4255
- Up to 3.7.0

* Sun Sep 27 2020 Marcin Krol <hawk@tld-linux.org> c2bae51
- imagick extension for PHP, version 3.4.4

